import { type Context } from "aws-lambda";

import { handler as sismologiacl } from "./sources/sismologiacl/handler";

const context: Context = {
  callbackWaitsForEmptyEventLoop: false,
  functionName: "",
  functionVersion: "",
  invokedFunctionArn: "",
  memoryLimitInMB: "0",
  awsRequestId: "",
  logGroupName: "",
  logStreamName: "",
  done: () => {},
  fail: () => {},
  succeed: () => {},
  getRemainingTimeInMillis: () => 1
};

const sources = [sismologiacl];
const cooldown = 1000; // 1 seconds

async function main (): Promise<void> {
  for (const portal of sources) {
    await portal(null, context, () => {});
    await new Promise((resolve) => setTimeout(resolve, cooldown));
  }
}

main()
  .catch((err) => {
    console.error(err)
  })
  .finally(() => {
    process.exit(0);
  });
