import { type Handler } from "aws-lambda";

import config from "../../config";
import SismologiaCL from ".";

const name = "Centro Sismológico Nacional 🇨🇱";

export const handler: Handler = new SismologiaCL(name, {
  url: config.SISMOLOGIACL,
  reportsSelector: "table.sismologia tbody tr.percibido",
  dateSelector: "td a",
  locationSelector: "td:nth-child(1)",
  depthSelector: "td:nth-child(2)",
  magnitudeSelector: "td:nth-child(3)",
  linkSelector: "td:nth-child(1) a",
  locationImgSelector: "main aside img"
}).getHandler();
